summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJoshua Nichols <nichoj@gentoo.org>2007-01-06 17:54:01 +0000
committerJoshua Nichols <nichoj@gentoo.org>2007-01-06 17:54:01 +0000
commitc4fcf22e17e549b41b0ee279aaf6d327158f816f (patch)
tree08b9a73467aafabb1623734c89afba629f1df496 /eclass/xfce44.eclass
parentFixed elog / einfo usage. (diff)
downloadhistorical-c4fcf22e17e549b41b0ee279aaf6d327158f816f.tar.gz
historical-c4fcf22e17e549b41b0ee279aaf6d327158f816f.tar.bz2
historical-c4fcf22e17e549b41b0ee279aaf6d327158f816f.zip
Added logic to src_compile for enabling debug support when IUSE has debug.
Diffstat (limited to 'eclass/xfce44.eclass')
-rw-r--r--eclass/xfce44.eclass7
1 files changed, 5 insertions, 2 deletions
diff --git a/eclass/xfce44.eclass b/eclass/xfce44.eclass
index b79126128718..866a305f6cc7 100644
--- a/eclass/xfce44.eclass
+++ b/eclass/xfce44.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/xfce44.eclass,v 1.8 2007/01/05 04:21:35 flameeyes Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/xfce44.eclass,v 1.9 2007/01/06 17:54:01 nichoj Exp $
# Xfce44 Eclass
#
@@ -108,9 +108,12 @@ DEPEND="${RDEPEND}
xfce44_src_compile() {
## XFCE_CONFIG sets extra config parameters
+ if has debug ${IUSE} && use debug ; then
+ XFCE_CONFIG="${XFCE_CONFIG} $(use_enable debug)"
+ fi
+ ${CONFIGURE} ${XFCE_CONFIG} || die
## JOBS is unset and defaults to make.conf settings
## unless set by single_make
- ${CONFIGURE} ${XFCE_CONFIG} || die
emake ${JOBS} || die
}